[ Maverik Level 1 functions ]

#

mav_listItemsAdd

mav_listItemsAdd, mav_listItemsRmv, mav_listItemsNext, mav_listItemsContains

## Summary

List management functions.

## Syntax

void mav_listItemsAdd(MAV_list *l, void *d1, void *d2);

void mav_listItemsRmv(MAV_list *l, void *d1, void *d2);

int mav_listItemsNext(MAV_list *l, void **d1, void **d2);

int mav_listItemsContains(MAV_list *l, void *d1, void *d2);

## Description

`MAV_list`'s are actually capable of storing two items of data per entry. The above functions are the two item versions of the list manipulation functions.

`mav_listItemAdd`(l, d) is equivalent to `mav_listItemsAdd`(l, d, NULL).

## See also

mav_listNew.html>mav_listNew, mav_listItemAdd.html>mav_listItemAdd, mav_listItemRmv.html>mav_listItemRmv, mav_listItemNext.html>mav_listItemNext, mav_listItemContains.html>mav_listItemContains

Back to the index page.